Description

In eml-physical.xsl, the template 'physicalsize’ should see if the unit is greater than one, and pluralize accordingly. Currently, it just
reads:
<xsl:value-of select="./@unit"/>

Perhaps instead, it could read:
<xsl:value-of select="./@unit"/>
<xsl:if test="@unit > '"1"">

s

</xsl:if>

Mostly annoying because most EML documents with entities have a byte count, and it displays as '145902 byte' currently.

Related issues:
Is duplicate of EML - Bug #3491: stylesheet fix for eml-physical.xsl, byte units Resolved 09/22/2008

History

#1 - 09/23/2008 11:02 AM - Margaret O'Brien

e Bug 3491 has been marked as a duplicate of this bug. ***

#2 - 10/01/2008 12:25 PM - Margaret O'Brien

these bugs are for stylesheet and documentation updates. changed to EML.2.1.0 priority 3, to be taken care of after changes to schema

#3 - 10/01/2008 04:30 PM - Margaret O'Brien

moving stylesheet bugs to P4 (after schema and documentation done)

#4 - 03/21/2009 03:44 PM - Margaret O'Brien

Although it may be more pleasant to hear units pluralized when spoken aloud, it is improper:
http://www.physics.nist.gov/cuu/Units/checklist.html

#5 - 03/21/2009 11:41 PM - Shaun Walbridge

A couple of things:

We don't use the Sl system for prefixing our quantity of bytes, which relies on base 10 numbering instead of the base two numbering computing
convention, and I'm doubtful we'll adopt this somewhat confusing prefixing (e.g. saying 100 MiB (mebibyte) instead of 100MB as we do now in the
EML documentation).

| can't find any reference to 'byte' used in the singular referring to a quantity, but can find a reference to the plural case being used in the NIST
reference:

http://physics.nist.gov/cuu/Units/binary.html

Unless we can find some authoritative source which uses the singular, | think we should still fix this. We use the plural form in the 2.0.1
documentation:

http://knb.ecoinformatics.org/software/eml/eml-2.0.1/eml-physical.html#size

#6 - 04/02/2009 10:36 AM - Margaret O'Brien

Open stylesheet bugs are now associated with EML's Utility component
#7 - 03/27/2013 02:23 PM - Redmine Admin
Original Bugzilla ID was 3492
